Problème de droits suite à installation acrobatique

Le
Jean-Baptiste Faure
Bonjour,

Suite à la réinstallation d'Ubuntu 16.10 x86-64 à la place d'une 17.04
installée à l'insu de mon plein gré ;-) j'ai eu quelques difficultés à
récupérer les 2 sessions que j'avais (partition /home séparée), il a
fallu que je jongle avec des chown et chmod pour réattribuer l'un des
homes au nouvel utilisateur créé lors de l'installation.

Maintenant tout fonctionne, sauf lors de la compilation de LibreOffice,
l'étape de construction des .deb échoue avec le message suivant :

Building Debian binary distribution
Packaging failed!
Try 1 : Could not execute
"LD_PRELOAD=/home/mon_login/LibO/lo52/workdir/LinkTarget/Library/libgetuid.so
/home/mon_login/LibO/lo52/workdir/UnpackedTarball/epm/epm -f deb -g
libobasis5.2-postgresql-sdbc
/home/mon_login/LibO/lo52/workdir/installation/LibreOffice/deb/listfile/en-US/epm_gid_Module_Optional_PostgresqlSdbc.lst
--output-dir DEBS -v 2>&1 |"!
Systemcall (Try 2):
LD_PRELOAD=/home/mon_login/LibO/lo52/workdir/LinkTarget/Library/libgetuid.so
/home/mon_login/LibO/lo52/workdir/UnpackedTarball/epm/epm -f deb -g
libobasis5.2-postgresql-sdbc
/home/mon_login/LibO/lo52/workdir/installation/LibreOffice/deb/listfile/en-US/epm_gid_Module_Optional_PostgresqlSdbc.lst
--output-dir DEBS -v 2>&1 |
dpkg: erreur: cannot set primary group ID to root: Opération non permise
ESP Package Manager v3.7.0

Il va sans dire que cela fonctionnait sans problème sur la 16.04.
Apparemment il y a un problème de droits quelque part mais je ne sais
quoi faire de l'information fournie par le message d'erreur de dpkg.

Un indice, une piste à m'indiquer ?

Bonne journée
JBF

--
Seuls des formats ouverts peuvent assurer la pérennité de vos documents
Questions / Réponses high-tech
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
denis.paris
Le #26415445
Le 03/11/2016 à 12:27, Jean-Baptiste Faure a écrit :
Suite à la réinstallation d'Ubuntu 16.10 x86-64 à la place d'une 17.04
installée à l'insu de mon plein gré

Pour installer une 17-04 il faut en effet avoir ses entrées ou une
grosse boule de cristal... :)
Jean-Baptiste Faure
Le #26415964
Le 03/11/2016 à 17:29, denis.paris a écrit :
Le 03/11/2016 à 12:27, Jean-Baptiste Faure a écrit :
Suite à la réinstallation d'Ubuntu 16.10 x86-64 à la place d'une 17.04
installée à l'insu de mon plein gré

Pour installer une 17-04 il faut en effet avoir ses entrées ou une
grosse boule de cristal... :)

Mais non, il suffit de choisir les dépôts de la version en
développement. Il faut bien que les testeurs puissent tester la 17.04
avant sa publication.
J'ai écrit à l'insu de mon plein gré parce que je ne sais pas comment
j'ai fait pour basculer des dépôts 16.10 aux dépôts 17.04.
Mais ce n'est plus le problème puisque j'ai installé la 16.10 à partir
d'une clé USB bootable, sans passer cette fois par la mise à niveau.
Mon problème c'est : qu'est-ce qui peut déclencher cette erreur de dpkg
? Apparemment ça se passe dans un environnement (je ne suis pas sûr que
ce soit le terme correct) fakeroot avec epm qui appelle dpkg (sans doute
dpkg-deb -b) pour construire les packages LibreOffice.
Bonne journée
JBF
--
Seuls des formats ouverts peuvent assurer la pérennité de vos documents
Publicité
Poster une réponse
Anonyme